VRENDER_SEND_MESSAGE(3)

EXPERIMENTAL_FUNC
vrender_send_message - Send a message to all "VRENDER_private" clients.

SYNOPSIS
#include <karma_vrender.h>

void vrender_send_message

(KVolumeRenderContext context, unsigned long command, CONST char *message, unsigned int length, flag sync)

DESCRIPTION
Send a message to all "VRENDER_private" clients.

context
    The volume render context.

command
    The 32 bit command.

message
    The message data.

length
    The length of the message in bytes.

sync
    If TRUE the function will not return until all clients have received and acknowledged the message.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/